<?php require_once( '../couch/cms.php' ); ?>
<cms:template title='Work' clonable='1' order='2'>

<cms:config_list_view orderby='weight' order='desc'>
   <cms:field 'k_selector_checkbox' />
   <cms:field 'k_page_title' sortable='0' />
   <cms:field 'k_page_foldertitle' />
   <cms:field 'k_up_down' />
   <cms:field 'k_actions' />
</cms:config_list_view>

<cms:editable name='banner3' type='message' order='1' >
<blockquote><h1>Titulo de Projecto</h1></blockquote>
</cms:editable>

	<cms:editable name='en_title' label='EN: Titulo de projecto'  type='text' order='2' />
	<cms:editable name='pt_title' label='PT: Titulo de Projecto'  type='text' order='3' />


<cms:editable name='banner3sssss' type='message' order='4' >
<blockquote><h1>Destacar projecto na Homepage</h1><p style="padding-top: 8px; padding-bottom: 14px;">NOTA: Apenas 4 projectos vão ser visiveis na homepage</u></p></blockquote>
</cms:editable>

<cms:editable name="destacar_projecto" label="Destacar projecto" opt_values='Escondido | Visivel' type='dropdown' order='5' />

<cms:editable name='banner3zzzzzzzzz' type='message' order='6' >
<blockquote style="margin-top: 40px"><h1>Texto e Links</h1></blockquote>
</cms:editable>

<cms:editable name='en_texto' label='EN: Descrição de projecto' type='textarea' height='80' order='7' />
<cms:editable name='pt_texto' label='PT: Descrição de projecto' type='textarea' height='80' order='8' />


<cms:repeatable name='en_link' label='EN: Links (opcional)' order='9' >
	<cms:editable name='en_link_texto' label='Texto para link' type='text' />
	<cms:editable name='en_link_url' label='URL para link (inserir http://)' type='text' />
</cms:repeatable>

<cms:repeatable name='pt_link' label='PT: Links (opcional)' order='10' >
	<cms:editable name='pt_link_texto' label='Texto para link' type='text' />
	<cms:editable name='pt_link_url' label='URL para link (inserir http://)' type='text' />
</cms:repeatable>


<cms:editable name='banner3s2' type='message' order='11' >
<blockquote style="margin-top: 40px"><h1>Categorias</h1><p style="padding-top: 8px; padding-bottom: 14px;">As categorias de cada projecto são identificadas por 'Tags' que devem corresponder exactamente ás categorias na secção 'Global' do backoffice.<br>As 'tags' devem ser em letra pequena, e deve-se usar o espaço em branco apenas para separar diferentes tags.<br><br><b>Exemplo:</b><br>Tag(s): fiction shortfilm<br>EN: Fiction, Short Film<br>PT: Ficção, Curta Metragem</p></blockquote>
</cms:editable>

	<cms:editable name='tags_categories' label='Tag(s)' type='text' order='12' />
	<cms:editable name='en_categories' label='EN: Categorias' type='text' order='13' />
	<cms:editable name='pt_categories' label='PT: Categorias' type='text' order='14' />


<cms:editable name='banner3s22x' type='message' order='15' >
<blockquote style="margin-top: 40px"><h1>Código Video (Vimeo)</h1><p style="padding-top: 8px; padding-bottom: 14px;">Inserir código do video do vimeo<br>ex: https://vimeo.com/<u>224199335</u></p></blockquote>
</cms:editable>

<cms:editable name='vimeo' label='Código de video' type='text' order='16' />


<cms:editable name='banner3s22asdasdx' type='message' order='17' >
<blockquote style="margin-top: 40px"><h1>Thumbnail grande para Video</h1><p style="padding-top: 8px;">tamanho recomendado: 1450 x 566 pixels - formato JPG</p></blockquote>
</cms:editable>

    <cms:editable type='image' name='thumb_grande' label='Upload de imagem' show_preview='1' preview_width='80' width='1450' height='566' quality='85' crop='1' order='18' />

<cms:editable name='banner3s22xxx' type='message' order='19' >
<blockquote style="margin-top: 40px"><h1>Créditos</h1><p style="padding-top: 8px; padding-bottom: 14px;">NOTA: Só os campos preenchidos aparecerão</u></p></blockquote>
</cms:editable>

<cms:repeatable name='creditos_repeatable1' label='<u>COLUNA 1/4</u>' order='20' >
    <cms:editable name="tipo_de_item1" label="Tipo de item" opt_values='Titulo | Texto | Espaco-em-branco' type='dropdown' order='1' />
    <cms:editable name='en_credits1' label='EN: Texto'  type='text' order='2' />
    <cms:editable name='pt_credits1' label='PT: Texto'  type='text' order='3' />
</cms:repeatable>

<cms:repeatable name='creditos_repeatable2' label='<u>COLUNA 2/4</u>' order='21' >
    <cms:editable name="tipo_de_item2" label="Tipo de item" opt_values='Titulo | Texto | Espaco-em-branco' type='dropdown' order='1' />
    <cms:editable name='en_credits2' label='EN: Texto'  type='text' order='2' />
    <cms:editable name='pt_credits2' label='PT: Texto'  type='text' order='3' />
</cms:repeatable>

<cms:repeatable name='creditos_repeatable3' label='<u>COLUNA 3/4</u>' order='22' >
    <cms:editable name="tipo_de_item3" label="Tipo de item" opt_values='Titulo | Texto | Espaco-em-branco' type='dropdown' order='1' />
    <cms:editable name='en_credits3' label='EN: Texto'  type='text' order='2' />
    <cms:editable name='pt_credits3' label='PT: Texto'  type='text' order='3' />
</cms:repeatable>

<cms:repeatable name='creditos_repeatable4' label='<u>COLUNA 4/4</u>' order='23' >
    <cms:editable name="tipo_de_item4" label="Tipo de item" opt_values='Titulo | Texto | Espaco-em-branco' type='dropdown' order='1' />
    <cms:editable name='en_credits4' label='EN: Texto'  type='text' order='2' />
    <cms:editable name='pt_credits4' label='PT: Texto'  type='text' order='3' />
</cms:repeatable>

<cms:editable name='banner3s22xxxxxx' type='message' order='24' >
<blockquote style="margin-top: 40px"><h1>Prémios</h1><p style="padding-top: 8px;">tamanho recomendado 497 × 368 pixels - formato PNG (fundo transparente) ou JPG (fundo de cor #101010)</p></blockquote>
</cms:editable>

	<cms:editable name="visibilidade" label="Visibilidade" opt_values='Escondido | Visivel' type='dropdown' order='25' />

<cms:repeatable name='premios_lista' label='Lista de items' order='26' >
<cms:editable name='premios_img' label='Upload de imagem' desc='tamanho recomendado 497 × 368 pixels - formato PNG ou JPG com fundo de cor #101010'
	show_preview='1' preview_width='80' group='creditos_img_img' quality='100' type='image' width='497' height='368' crop='1' />
</cms:repeatable>


<cms:editable name='banner3s22xxxxxasasax' type='message' order='27' >
<blockquote style="margin-top: 40px"><h1>Imagem de Thumbnail</h1><p style="padding-top: 8px; padding-bottom: 14px;">tamanho recomendado 1100 × 618 pixels - formato JPG</u></p></blockquote>
</cms:editable>

    <cms:editable type='image' name='thumb' label='Upload de imagem' show_preview='1' preview_width='80' width='1100' height='618' crop='1' order='28' />


<cms:editable name='banner3s22xxxxxasaaaasax' type='message' order='29' >
<blockquote style="margin-top: 40px"><h1>Galeria de Imagens</h1><p style="padding-top: 8px; padding-bottom: 14px;">tamanho recomendado 1100 x 1238 pixels - formato JPG</u></p></blockquote>
</cms:editable>

<cms:repeatable name='galeria_imgs_lista' label='Lista de items' order='30' >
	<cms:editable name='galeria_imgs' label='Upload de imagem' desc='tamanho recomendado 1100 x 1238 pixels - formato JPG' show_preview='1' preview_width='80' quality='90' type='image' width='1100' height='1238' crop='1'  />
</cms:repeatable>
</cms:template>
<cms:embed "header.php" /> 
    <style>
	<cms:show_repeatable 'galeria_imgs_lista' >
.bk<cms:show k_count /> { background-image: url(<cms:show galeria_imgs />) }
	</cms:show_repeatable>
</style>
<link rel="stylesheet" href="../css/fresco.css" type="text/css">
</head>
<cms:embed "navbar.php" />  
    
<section id="main">
	<div class="container-fluid">
		<div class="row">
			
			<div class="col-md-6 col-md-push-6 half-two no-padding">
				<div class="gallery">
					<cms:show_repeatable 'galeria_imgs_lista' >
				<div class="gallery-cell bk<cms:show k_count />"></div>	
					</cms:show_repeatable>
				</div>
			</div>
			
			<div class="col-md-6 col-md-pull-6 half-one center">
				<h5><cms:show en_categories /></h5>
				<h3><cms:show en_title /></h3>
				<p><cms:nl2br><cms:show en_texto /></cms:nl2br>
					
					<cms:show_repeatable 'en_link' >
						<cms:if k_count == '1' >
							<br>
							<br>
							<span class="minilink"><a target="_blank" href="<cms:show en_link_url />"><cms:show en_link_texto /></a></span>
						</cms:if>
						
						<cms:if k_count == '2' >
							<br>
							<span class="minilink"><a target="_blank" href="<cms:show en_link_url />"><cms:show en_link_texto /></a></span>
						</cms:if>
					</cms:show_repeatable>
					
				</p>
				
			</div>
			
			
		</div>
	</div>
</section>
   
 <section id="video">
	 <div class="container-fluid">
		 <div class="row no-gutter">
			 <div class="col-md-12">
				<div class="video-player displaybox">
					<a href="http://vimeo.com/<cms:show vimeo />" class="fresco" data-fresco-options="vimeo: { autoplay: 1, title: 1, byline: 1, portrait: 0, loop: 0 }">
					<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 90 92.98"><path d="M45,1.49h0a45,45,0,0,1,45,45h0a45,45,0,0,1-45,45h0a45,45,0,0,1-45-45H0A45,45,0,0,1,45,1.49Z" fill="none"/><path d="M45,91.49a45,45,0,1,1,45-45A45.05,45.05,0,0,1,45,91.49Zm0-87a42,42,0,1,0,42,42A42,42,0,0,0,45,4.49Z" /><path d="M70,47,29,70.49v-47Z" fill="none"/><path d="M64,47,32,28.67V65.31L64,47m6,0L29,70.49v-47Z" /></svg>
					<img src="<cms:show thumb_grande />" class="img-responsive">
					 </a>
				</div>		 
			</div>
		 </div>
	 </div>
 </section>  

 
 <section id="credits">
	 <div class="container">
		 <div class="row">
			 <h3 class="credits">Credits</h3>
			 <div class="col-md-3 col-xs-6">
				 <ul>
					 <cms:show_repeatable 'creditos_repeatable1' ><li<cms:if tipo_de_item1 = 'Titulo' >><cms:show en_credits1 /></li></cms:if><cms:if tipo_de_item1 = 'Texto'> class="gray"><cms:show en_credits1 /></li></cms:if><cms:if tipo_de_item1 = 'Espaco-em-branco'> class="black">-</li></cms:if></cms:show_repeatable>

				 </ul>
			 </div>
			 <div class="col-md-3 col-xs-6">
				 <ul>
					 <cms:show_repeatable 'creditos_repeatable2' ><li<cms:if tipo_de_item2 = 'Titulo' >><cms:show en_credits2 /></li></cms:if><cms:if tipo_de_item2 = 'Texto'> class="gray"><cms:show en_credits2 /></li></cms:if><cms:if tipo_de_item2 = 'Espaco-em-branco'> class="black">-</li></cms:if></cms:show_repeatable>
				 </ul>
			 </div>
			 <div class="col-md-3 col-xs-6">
				 <ul class="mobile-space">
					 <cms:show_repeatable 'creditos_repeatable3' ><li<cms:if tipo_de_item3 = 'Titulo' >><cms:show en_credits3 /></li></cms:if><cms:if tipo_de_item3 = 'Texto'> class="gray"><cms:show en_credits3 /></li></cms:if><cms:if tipo_de_item3 = 'Espaco-em-branco'> class="black">-</li></cms:if></cms:show_repeatable>
				 </ul>
			</div>
			 <div class="col-md-3 col-xs-6">
				 <ul class="mobile-space">
					 <cms:show_repeatable 'creditos_repeatable4' ><li<cms:if tipo_de_item4 = 'Titulo' >><cms:show en_credits4 /></li></cms:if><cms:if tipo_de_item4 = 'Texto'> class="gray"><cms:show en_credits4 /></li></cms:if><cms:if tipo_de_item4 = 'Espaco-em-branco'> class="black">-</li></cms:if></cms:show_repeatable>
				 </ul>
			 </div>
		 </div>
		 

<cms:if visibilidade == 'Visivel'>		 
		 <div class="row">
			 <div class="col-md-12">
			 <h3 class="awards">Awards</h3>
				<div class="credits-carousel">
					 
<cms:show_repeatable 'premios_lista' > 
					<div class="credits-cell">
						<img src="<cms:show premios_img />" class="img-responsive">
					</div>
</cms:show_repeatable>
						
				
				</div>
			 </div>
		 </div>
</cms:if>	 
		 
 </section>
 
 <section id="previous-next">
        <div class="container-fluid">
            <div class="row no-gutter gallary-thumbs">           





<cms:if k_is_page>
    <cms:set my_template = k_template_id />
    <cms:query sql="SELECT k_order FROM <cms:php>echo K_TBL_PAGES;</cms:php>
                    WHERE id = <cms:show k_page_id />" limit='1'>
        <cms:set my_position = k_order scope='global' />
    </cms:query>

    <cms:if my_position>
        <cms:query sql="SELECT id, template_id FROM <cms:php>echo K_TBL_PAGES;</cms:php>
                        WHERE k_order < <cms:show my_position />
                        AND template_id = <cms:show my_template />
                        AND NOT publish_date = '0000-00-00 00:00:00'
                        ORDER BY k_order DESC" limit='1' fetch_pages='1'>
            <cms:capture into='page_prev'>
            
            
				<div class="col-lg-6 col-sm-6">
                    <a href="<cms:show k_page_link />" class="portfolio-box">
                        <img src="<cms:show thumb />" class="img-responsive" alt="">
                        <div class="portfolio-box-caption">
                            <div class="portfolio-box-caption-content">
	                            <h5>Previous Project</h5>
	                            <h4><cms:show en_title /></h4>
                            </div>
                        </div>
                    </a>
                </div>

            </cms:capture>
        </cms:query>

        <cms:query sql="SELECT id, template_id FROM <cms:php>echo K_TBL_PAGES;</cms:php>
                        WHERE k_order > <cms:show my_position />
                        AND template_id = <cms:show my_template />
                        AND NOT publish_date = '0000-00-00 00:00:00'
                        ORDER BY k_order" limit='1' fetch_pages='1'>
            <cms:capture into='page_next'>
               
               
                <div class="col-lg-6 col-sm-6">
                    <a href="<cms:show k_page_link />" class="portfolio-box">
                        <img src="<cms:show thumb />" class="img-responsive" alt="">
                        <div class="portfolio-box-caption">
                            <div class="portfolio-box-caption-content">
	                            <h5>Next Project</h5>
	                            <h4><cms:show en_title /></h4>
                            </div>
                        </div>
                    </a>
                </div>
                
            </cms:capture>
        </cms:query>
    </cms:if>
</cms:if>

<cms:if page_prev >
        <cms:show page_prev />
<cms:else />
<p>SHOW LAST POST (because this one is the 1st)</p>
</cms:if>

<cms:if page_next >
        <cms:show page_next />
<cms:else />
<p>SHOW FIRST POST (because this one is the last)</p>
</cms:if>
                
            </div>
        </div>
 </section>
 
 		<cms:pages masterpage='global.php'>
 		<div class="mini" style="background: #101010">
			<div class="col-md-3 col-sm-6 col-xs-12 espaco">© Filmes da Mente <cms:date format='Y' /></div>
			<div class="col-md-3 col-xs-6 hidden-xs hidden-sm text-right"><cms:show tel /></div>
			<div class="col-md-3 col-xs-6 hidden-xs hidden-sm"><a href="mailto:<cms:show email_1 />"><cms:show email_1 /></a></div>
			<div class="col-md-3 col-sm-6 col-xs-6  hidden-xs text-right espaco2">Website by Sunshine</div>
		</div>
		</cms:pages>
		</div>
  
<script src="../js/jquery.js"></script>
<script src="../js/flickity.pkgd.min.js"></script>
<script src="../js/flickity-imagesloaded.js"></script>
<script src="../js/fresco.min.js"></script>
<script>
$('.gallery').flickity({
  // options
  cellAlign: 'left',
  contain: true,
  wrapAround: true,
  autoPlay: 2500,
  prevNextButtons: false,
  pageDots: true
});

$('.credits-carousel').flickity({
  // options
  cellAlign: 'center',
  autoPlay: 2500,
  prevNextButtons: false,
  pageDots: false,
  grouCells: false,
  contain: true,
  imagesLoaded: true
});
</script>
<cms:embed "footer.php" /> 
</body>
</html>
<?php COUCH::invoke(); ?>